# ApiHostCertInfo Data Model

Associates a hostname with its corresponding certificate and private key

Properties
name | data type | description
--- | --- | ---
hostname | string | The FQDN of a host in the deployment.
certificate | string | The certificate for this host in PEM format.
key | string | The private key for this host in PEM format.
subjectAltNames | array of string | A list of alt names for a host.

Example

    {
      "hostname" : "...",
      "certificate" : "host-cert.pem",
      "key" : "host-key.pem",
      "subjectAltNames" : [ "DNS:example.cloudera.com", "..." ]
    }